package sklep.controller;

import jakarta.persistence.EntityManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import sklep.model.Product;

import java.util.List;


@Controller
@RequestMapping("/products")
public class ProductController {
    @Autowired
    private EntityManager em;

    @GetMapping(produces = "text/plain;charset=UTF-8")
    public String readAll(Model model) {
        List<Product> products = em.createNamedQuery("Product.findAll", Product.class).getResultList();
        model.addAttribute("products", products);
        return "products.jsp";
    }
}
